### Property

# RB Source:base-query-model

#### Declaration

    property base-query-model: RB.RhythmDBQueryModel [ read ]

#### Description [src]

The unfiltered query model for the source, containing all entries in the source. Source classes should override this if they perform filtering based on the search box or a browser.

Type:`RhythmDBQueryModel`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no